"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var antd_1 = require("antd");
var Sketch_1 = __importDefault(require("react-color/lib/Sketch"));
var label_1 = __importDefault(require("../label"));
var ColorPicker = React.memo(function (props) {
    var onChange = props.onChange, value = props.value;
    var onChangeComplete = React.useCallback(function (color) {
        onChange(color.hex);
    }, [onChange]);
    var presetColors = [
        '#5B8FF9',
        '#5AD8A6',
        '#5D7092',
        '#F6BD16',
        '#E8684A',
        '#6DC8EC',
        '#9270CA',
        '#FF9D4D',
        '#269A99',
        '#FF99C3',
    ];
    return (React.createElement(antd_1.Popover, { trigger: "click", placement: "left", overlayClassName: "schema-editor-color-picker", content: React.createElement(Sketch_1.default, { color: value, disableAlpha: true, onChange: onChangeComplete, presetColors: presetColors }) },
        React.createElement("div", { className: "pasta-color-icon", style: { background: value } })));
});
function Color(_a) {
    var field = _a.field, schema = _a.schema, onChange = _a.onChange, data = _a.data;
    var colorString = data || '#ffffff';
    var tip = schema.meta && schema.meta.description ? schema.meta.description : undefined;
    return (React.createElement("div", { className: "ui-form-item", key: field },
        React.createElement(label_1.default, { title: schema.description, tip: tip }),
        React.createElement("div", { className: "ui-content" },
            React.createElement(ColorPicker, { value: colorString, onChange: function (color) {
                    onChange({ value: color, fields: [field] });
                } }))));
}
exports.default = Color;
//# sourceMappingURL=color.js.map