"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var antd_1 = require("antd");
var lodash_1 = require("lodash");
var icons_1 = require("@ant-design/icons");
var evaluate_1 = __importDefault(require("../util/evaluate"));
var item_1 = __importDefault(require("./item"));
var Panel = antd_1.Collapse.Panel;
function hasVisibleProperty(schema) {
    return schema.type === 'object' && schema.properties.visible !== undefined;
}
function onlyHasVisibleProperty(schema) {
    return hasVisibleProperty(schema) && Object.keys(schema.properties).length <= 1;
}
var FieldObject = /** @class */ (function (_super) {
    __extends(FieldObject, _super);
    function FieldObject() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {};
        return _this;
    }
    FieldObject.prototype.onChange = function (e) {
        var field = this.props.field;
        if (field !== undefined) {
            e.fields.unshift(field);
        }
        this.props.onChange(e);
    };
    FieldObject.prototype.onExpand = function (field, keys) {
        var _a;
        this.setState((_a = {},
            _a[field] = keys,
            _a));
    };
    FieldObject.prototype.onVisibleChange = function (field, e) {
        var _a, _b;
        e.fields.unshift(field);
        if (!e.value) {
            this.setState((_a = {},
                _a[field] = [],
                _a));
        }
        else {
            this.setState((_b = {},
                _b[field] = [field],
                _b));
        }
        this.onChange(e);
    };
    FieldObject.prototype.getVisibleItem = function (field, itemProps, title) {
        var schema = itemProps.schema, data = itemProps.data, validate = itemProps.validate, size = itemProps.size, lang = itemProps.lang;
        var props = schema.properties.visible;
        if (props) {
            var itemVal = data ? lodash_1.isPlainObject(data) : false;
            var type = props.type;
            var itemProps_1 = {
                key: field + ".visible",
                field: 'visible',
                data: itemVal,
                title: title,
                schema: props,
                onChange: this.onVisibleChange.bind(this, field),
                onClick: function (e) {
                    e.stopPropagation();
                },
                lang: lang,
                validate: validate,
                size: size,
            };
            return item_1.default.getItem(type, itemProps_1);
        }
        return null;
    };
    FieldObject.prototype.getVisibleValue = function (itemProps) {
        var data = itemProps.data;
        return data ? lodash_1.isPlainObject(data) : false;
    };
    FieldObject.prototype.getItem = function (field) {
        var _a = this.props, schema = _a.schema, data = _a.data, validate = _a.validate, size = _a.size, lang = _a.lang, parentData = _a.parentData;
        var props = schema.properties[field];
        var fieldType = props.type;
        var itemVal = data ? data[field] : undefined;
        var itemProps = {
            field: field,
            data: itemVal,
            schema: props,
            parentData: data,
            onChange: this.onChange.bind(this),
            validate: validate,
            size: size,
            lang: lang,
        };
        var ifState = props.meta ? props.meta.if : null;
        if (ifState) {
            try {
                var currentProps = data || {};
                if (/\$\.visible/.test(ifState)) {
                    currentProps.visible = true;
                }
                var shouldShow = evaluate_1.default(__assign(__assign({}, currentProps), { __p: parentData }), ifState);
                if (!shouldShow) {
                    return null;
                }
            }
            catch (e) {
                // 忽略错误
            }
        }
        var item = item_1.default.getItem(fieldType, itemProps);
        var visibleItem = null;
        var visibleValue = true;
        if (hasVisibleProperty(itemProps.schema)) {
            visibleItem = this.getVisibleItem(field, itemProps, null);
            visibleValue = this.getVisibleValue(itemProps);
        }
        if (fieldType === 'object' || fieldType === 'array') {
            if (onlyHasVisibleProperty(itemProps.schema)) {
                item = this.getVisibleItem(field, itemProps, props.description);
            }
            else {
                return (React.createElement(antd_1.Collapse, { bordered: false, key: field, onChange: this.onExpand.bind(this, field), activeKey: this.state[field], expandIcon: function (_a) {
                        var isActive = _a.isActive;
                        return React.createElement(icons_1.CaretRightOutlined, { rotate: isActive ? 90 : 0 });
                    } },
                    React.createElement(Panel, { key: field, disabled: !visibleValue, header: props.description, extra: visibleItem },
                        React.createElement("div", { className: "field-item field-" + fieldType }, item))));
            }
        }
        return (React.createElement("div", { key: field, className: "field-item field-" + fieldType }, item));
    };
    FieldObject.prototype.renderGroups = function () {
        var _this = this;
        var schema = this.props.schema;
        var properties = schema.properties;
        var items = Object.keys(properties)
            .filter(function (field) { return field !== 'visible'; })
            .map(function (field) {
            var itemField = _this.getItem(field);
            return itemField;
        });
        return items;
    };
    FieldObject.prototype.render = function () {
        return React.createElement("div", { className: "ui-object" }, this.renderGroups());
    };
    return FieldObject;
}(React.Component));
exports.default = FieldObject;
//# sourceMappingURL=object.js.map