"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var antd_1 = require("antd");
var FormItem = antd_1.Form.Item;
var classnames_1 = __importDefault(require("classnames"));
var label_1 = __importDefault(require("../label"));
// 文本输入框
var Textfield = /** @class */ (function (_super) {
    __extends(Textfield, _super);
    function Textfield(props) {
        var _this = _super.call(this, props) || this;
        _this.onChange = function (e) {
            var value = e.target.value;
            var field = _this.props.field;
            var newValue = value ? value.trim() || undefined : undefined;
            _this.props.onChange({ value: newValue, fields: [field] });
        };
        _this.onBlur = function (e) {
            var data = _this.props.data;
            var value = e.target.value;
            // 数据 trim
            var newValue = value ? value.trim() || undefined : undefined;
            if (data !== newValue) {
                var field = _this.props.field;
                _this.props.onChange({ value: newValue, fields: [field] });
            }
        };
        _this.state = {
            errorMsg: '',
        };
        return _this;
    }
    Textfield.prototype.render = function () {
        var _a = this.props, field = _a.field, schema = _a.schema, size = _a.size, validate = _a.validate, data = _a.data;
        var errorMsg = validate(data, schema.meta, schema.type);
        var cls = classnames_1.default({
            'ui-form-item': true,
            'ui-form-item-error': errorMsg !== '',
        });
        var tip = schema.meta && schema.meta.description ? schema.meta.description : undefined;
        // 渲染
        return (React.createElement("div", { className: cls, key: field },
            React.createElement(label_1.default, { title: schema.description, tip: tip }),
            React.createElement("div", { className: "ui-content" },
                React.createElement(FormItem, { hasFeedback: true, help: errorMsg, validateStatus: errorMsg === '' ? '' : 'error' },
                    React.createElement(antd_1.Input, { placeholder: "", size: size, value: data, onChange: this.onChange, onBlur: this.onBlur })))));
    };
    return Textfield;
}(React.Component));
exports.default = Textfield;
//# sourceMappingURL=textfield.js.map