"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Editor = void 0;
var React = __importStar(require("react"));
var lodash_1 = require("lodash");
var item_1 = __importDefault(require("./fields/item"));
var validate_1 = __importDefault(require("./util/validate"));
var clone_1 = __importDefault(require("./util/clone"));
var i18n_1 = require("./i18n");
var replaceVisibleField = function (dist, src, level, maxLevel) {
    level = level || 0;
    maxLevel = maxLevel || 5;
    for (var key in src) {
        var value = src[key];
        if (lodash_1.isPlainObject(value)) {
            if (value.visible === false) {
                dist[key] = false;
            }
            else {
                dist[key] = replaceVisibleField({}, value, level + 1);
            }
        }
        else {
            dist[key] = value;
        }
    }
    return dist;
};
var Editor = /** @class */ (function (_super) {
    __extends(Editor, _super);
    function Editor(props) {
        var _this = _super.call(this, props) || this;
        _this.lastItem = null;
        _this.state = { data: props.data };
        return _this;
    }
    Editor.getDerivedStateFromProps = function (nextProps, prevState) {
        if (nextProps.data !== prevState.data) {
            return { data: nextProps.data };
        }
        return null;
    };
    Editor.prototype.getValue = function () {
        // 默认去 props.value ，否则去 state.data 内部维护数据
        var data = this.props.data || this.state.data;
        return data || {};
    };
    Editor.prototype.onChange = function (e) {
        // clone data
        var data = clone_1.default(this.getValue());
        var fields = e.fields.slice();
        var tmp = data;
        var tmpSchema = this.props.schema;
        var last = fields.pop();
        // modify array
        if (last === undefined && tmpSchema.type === 'array') {
            data = e.value;
        }
        else if (last !== undefined) {
            // modify item field
            fields.forEach(function (item) {
                if (typeof item !== 'number') {
                    tmpSchema = tmpSchema.properties[item];
                }
                // if data is null, mock data 或 非数组或对象，都需要 mock
                if (typeof tmp[item] === 'undefined' || typeof tmp[item] !== 'object' || tmp[item] === null) {
                    tmp[item] = {};
                }
                tmp = tmp[item];
            });
            tmp[last] = e.value;
        }
        if (this.props.onChange) {
            // visible写法变更
            var configs = replaceVisibleField({}, lodash_1.cloneDeep(data), 0);
            this.props.onChange(configs, e);
        }
        this.lastItem = e.fields;
        if (this.state.data) {
            this.setState({ data: data });
        }
    };
    Editor.prototype.validate = function (fn, locale) {
        var _this = this;
        return function (value, meta, type) {
            var errorMsg = '';
            switch (type) {
                default:
                    errorMsg = fn(value, meta, type, locale);
            }
            if (errorMsg && _this.props.onError) {
                _this.props.onError({
                    errorMsg: errorMsg,
                    fieldPath: clone_1.default(_this.lastItem),
                });
            }
            return errorMsg;
        };
    };
    Editor.prototype.render = function () {
        var _a = this.props, schema = _a.schema, validate = _a.validate, size = _a.size, lang = _a.lang;
        var data = this.getValue();
        var props = {
            schema: schema,
            data: data,
            onChange: this.onChange.bind(this),
            validate: this.validate(validate, i18n_1.locales[lang]),
            size: size,
            lang: lang,
        };
        return (React.createElement("div", { className: "schema-editor" },
            React.createElement("div", { className: "schema-editor-main" },
                React.createElement("div", { className: "schema-editor-scroll" },
                    React.createElement("div", { className: "schema-editor-container" }, item_1.default.getItem(schema.type, props))))));
    };
    Editor.defaultProps = {
        validate: validate_1.default,
        lang: 'zh-CN',
        size: 'small',
    };
    return Editor;
}(React.Component));
exports.Editor = Editor;
//# sourceMappingURL=index.js.map