export declare const Line: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    tooltip: {
        shared: boolean;
        showMarkers: boolean;
        showCrosshairs: boolean;
        crosshairs: {
            type: string;
        };
    };
    legend: {
        position: string;
    };
    isStack: boolean;
};
export declare const Area: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    tooltip: {
        shared: boolean;
        showMarkers: boolean;
        showCrosshairs: boolean;
        crosshairs: {
            type: string;
        };
    };
    isStack: boolean;
    line: {};
    legend: {
        position: string;
    };
};
export declare const Bar: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    barWidthRatio: number;
    marginRatio: number;
    tooltip: {
        shared: boolean;
        showMarkers: boolean;
        offset: number;
    };
    interactions: {
        type: string;
    }[];
};
export declare const Column: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    columnWidthRatio: number;
    marginRatio: number;
    tooltip: {
        shared: boolean;
        showMarkers: boolean;
        offset: number;
    };
    interactions: {
        type: string;
    }[];
};
export declare const Pie: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    legend: {
        position: string;
    };
    tooltip: {
        shared: boolean;
        showTitle: boolean;
        showMarkers: boolean;
    };
    label: {
        layout: {
            type: string;
            cfg: {
                action: string;
            };
        };
    };
    /** 饼图样式, 不影响暗黑主题 */
    pieStyle: {
        stroke: string;
        lineWidth: number;
    };
    /** 饼图中心文本默认样式 */
    statistic: {
        title: {
            style: {
                fontWeight: number;
                color: string;
                textAlign: string;
                fontSize: string;
                lineHeight: number;
            };
        };
        content: {
            style: {
                fontWeight: string;
                color: string;
                textAlign: string;
                fontSize: string;
                lineHeight: number;
            };
        };
    };
    /** 默认关闭 text-annotation 动画 */
    theme: {
        components: {
            annotation: {
                text: {
                    animate: boolean;
                };
            };
        };
    };
};
export declare const Radar: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    xAxis: {
        label: {
            offset: number;
        };
        grid: {
            line: {
                type: string;
            };
        };
    };
    yAxis: {
        grid: {
            line: {
                type: string;
            };
        };
    };
    legend: {
        position: string;
    };
    tooltip: {
        shared: boolean;
        showCrosshairs: boolean;
        showMarkers: boolean;
        crosshairs: {
            type: string;
            line: {
                style: {
                    stroke: string;
                    lineDash: number[];
                };
            };
            follow: boolean;
        };
    };
};
export declare const Scatter: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    size: number;
    tooltip: {
        shared: null;
        showTitle: boolean;
        offset: number;
    };
};
export declare const BidirectionalBar: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
};
export declare const Box: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    meta: {
        $$range$$: {
            min: number;
            alias: string;
        };
    };
    interactions: {
        type: string;
    }[];
    tooltip: {
        showMarkers: boolean;
        showCrosshairs: boolean;
        shared: boolean;
    };
};
export declare const DualAxes: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    yAxis: never[];
    geometryOptions: never[];
    syncViewPadding: boolean;
    legend: {
        position: string;
    };
};
export declare const Guage: {
    percent: number;
    range: {
        ticks: never[];
    };
    innerRadius: number;
    radius: number;
    startAngle: number;
    endAngle: number;
    syncViewPadding: boolean;
    axis: {
        line: null;
        label: {
            offset: number;
            style: {
                textAlign: string;
                textBaseline: string;
            };
        };
        subTickLine: {
            length: number;
        };
        tickLine: {
            length: number;
        };
        grid: null;
    };
    indicator: {
        pointer: {
            style: {
                lineWidth: number;
                lineCap: string;
            };
        };
        pin: {
            style: {
                r: number;
                lineWidth: number;
                fill: string;
            };
        };
    };
    statistic: {
        title: boolean;
    };
    meta: {
        range: {
            sync: string;
        };
        percent: {
            sync: string;
        };
    };
    animation: boolean;
};
export declare const Histogram: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    columnStyle: {
        stroke: string;
    };
    tooltip: {
        shared: boolean;
        showMarkers: boolean;
    };
    interactions: {
        type: string;
    }[];
};
export declare const Waterfall: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    /** default: show label */
    label: {};
    /** default: show leaderLine */
    leaderLine: {
        style: {
            lineWidth: number;
            stroke: string;
            lineDash: number[];
        };
    };
    /** default: show total */
    total: {
        label: string;
        style: {
            fill: string;
        };
    };
    interactions: {
        type: string;
    }[];
    risingFill: string;
    fallingFill: string;
    waterfallStyle: {
        fill: string;
    };
    yAxis: {
        grid: {
            line: {
                style: {
                    lineDash: number[];
                };
            };
        };
    };
};
export declare const Heatmap: {
    renderer: string;
    xAxis: {
        nice: boolean;
        label: {
            autoRotate: boolean;
            autoHide: boolean;
        };
    };
    yAxis: {
        nice: boolean;
        label: {
            autoHide: boolean;
            autoRotate: boolean;
        };
    };
    animation: boolean;
} & {
    type: string;
    legend: boolean;
    xAxis: {
        tickLine: null;
        line: null;
        grid: {
            alignTick: boolean;
            line: {
                style: {
                    lineWidth: number;
                    lineDash: null;
                    stroke: string;
                };
            };
        };
    };
    yAxis: {
        grid: {
            alignTick: boolean;
            line: {
                style: {
                    lineWidth: number;
                    lineDash: null;
                    stroke: string;
                };
            };
        };
    };
};
//# sourceMappingURL=defaultConfigs.d.ts.map