"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.statistic = exports.boxStyle = exports.value = exports.endAngle = exports.startAngle = exports.percent = exports.liquidStyle = exports.liquidColor = exports.liquidMax = exports.liquidMin = exports.binWidth = exports.binNumber = exports.forceSquare = exports.shapeSize = exports.shape = exports.type = exports.hradius = exports.intensity = exports.step = exports.labelMode = exports.leaderLine = exports.fallingFill = exports.risingFill = exports.total = exports.transpose = exports.dynamicHeight = exports.percentage = exports.pointStyle = exports.bubbleSize = exports.pointSize = exports.size = exports.regressionline = exports.lineSize = exports.innerRadius = exports.columnSize = exports.barSize = exports.smooth = exports.radius = exports.lineStyle = exports.barWidthRatio = exports.columnWidthRatio = exports.point = exports.area = exports.line = exports.color = exports.padding = exports.height = exports.width = exports.tooltip = exports.description = exports.title = exports.legend = exports.label = exports.yAxis = exports.xAxis = exports.radiusAxis = exports.angleAxis = void 0;
var i18n_1 = __importDefault(require("./i18n"));
function trans(lang, key) {
    return i18n_1.default[lang][key] || key;
}
// /* */ 是注释
// 仅仅支持  Boolean String Number Color Object Enum(不支持多选)
// TODO: Colors LineDash Padding LegendPosition
function angleAxis(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "angleAxis(" + t('angle axis') + "): " + axis(lang, false);
}
exports.angleAxis = angleAxis;
function radiusAxis(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "radiusAxis(" + t('radius axis') + "): " + axis(lang, false);
}
exports.radiusAxis = radiusAxis;
function xAxis(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "xAxis(" + t('x axis') + "): " + axis(lang, true);
}
exports.xAxis = xAxis;
function yAxis(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "yAxis(" + t('y axis') + "): " + axis(lang, true);
}
exports.yAxis = yAxis;
function label(lang, type) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    var MAP = {
        Line: "type(" + t('type') + "): Enum[if: \"$.visible && __p.seriesField\"] {\n  point(" + t('point') + ")\n  line(" + t('line') + ")\n}",
        Bar: "position(" + t('position') + "): Enum[if: \"$.visible\"] {\n  left(" + t('left') + ")\n  middle(" + t('middle') + ")\n  right(" + t('right') + ")\n}",
        Column: "position(" + t('position') + "): Enum[if: \"$.visible\"] {\n  top(" + t('top') + ")\n  middle(" + t('middle') + ")\n  bottom(" + t('bottom') + ")\n}",
        Pie: "type(" + t('type') + "): Enum[if: \"$.visible\"] {\n  inner(" + t('inner') + ")\n  outer(" + t('outer') + ")\n  spider(" + t('spider') + ")\n}",
        StackArea: "type(" + t('type') + "): Enum[if: \"$.visible\"] {\n  point(" + t('point') + ")\n  line(" + t('line') + "),\n  area(" + t('area') + ")\n}",
    };
    return "label(" + t('label') + "): Object {\n  visible(" + t('visible') + "): Boolean\n  " + (type ? MAP[type] || '' : '') + "\n  autoRotate(" + t('auto rotate') + "): Boolean\n  autoHide(" + t('auto hide') + "): Boolean\n  autoEllipsis(" + t('auto ellipsis') + "): Boolean\n  offset(" + t('entire offset') + "): Number[if: \"$.visible\"]\n  offsetX(" + t('x offset') + "): Number[if: \"$.visible\"]\n  offsetY(" + t('y offset') + "): Number[if: \"$.visible\"]\n}";
}
exports.label = label;
function legend(lang, isHeatmap, showField) {
    if (lang === void 0) { lang = 'zh-CN'; }
    if (isHeatmap === void 0) { isHeatmap = false; }
    var t = trans.bind(null, lang);
    return "legend(" + t('legend') + "): Object" + (showField ? "[if: \"$." + showField + "\"]" : '') + " {\n  visible(" + t('visible') + "): Boolean\n  position(" + t('position') + "): Enum[if: \"$.visible\"] {\n    left-top(" + t('left-top') + ")\n    left(" + t('left-center') + ")\n    left-bottom(" + t('left-bottom') + ")\n    right-top(" + t('right-top') + ")\n    right(" + t('right-center') + ")\n    right-bottom(" + t('right-bottom') + ")\n    top-left(" + t('top-left') + ")\n    top(" + t('top-center') + ")\n    top-right(" + t('top-right') + ")\n    bottom-left(" + t('bottom-left') + ")\n    bottom(" + t('bottom-center') + ")\n    bottom-right(" + t('bottom-right') + ")\n  }\n  " + (isHeatmap ? '' : "flipPage(" + t('flip page') + "): Boolean[if: \"$.visible\"]") + "\n  offsetX(" + t('x offset') + "): Number[if: \"$.visible\"]\n  offsetY(" + t('y offset') + "): Number[if: \"$.visible\"]\n}";
}
exports.legend = legend;
function title(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "title(" + t('title') + "): Object {\n  visible(" + t('visible') + "): Boolean\n  text(" + t('text') + "): String[if: \"$.visible\"]\n}";
}
exports.title = title;
function description(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "description(" + t('description') + "): Object {\n  visible(" + t('visible') + "): Boolean\n  text(" + t('text') + "): String[if: \"$.visible\"]\n}";
}
exports.description = description;
function tooltip(lang, type) {
    if (lang === void 0) { lang = 'zh-CN'; }
    if (type === void 0) { type = 1; }
    var t = trans.bind(null, lang);
    if (type === 1) {
        return "tooltip(" + t('tooltip') + "): Object {\n      visible(" + t('visible') + "): Boolean\n      shared(" + t('shared') + "): Boolean[if: \"$.visible\"]\n    }";
    }
    else if (type === 0) {
        return "tooltip(" + t('tooltip') + "): Object {\n      visible(" + t('visible') + "): Boolean\n    }";
    }
    return "tooltip(" + t('tooltip') + "): Object {\n  visible(" + t('visible') + "): Boolean\n  shared(" + t('shared') + "): Boolean[if: \"$.visible && $.__p." + type + "\"]\n}";
}
exports.tooltip = tooltip;
function width(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "width(" + t('width') + "): Number";
}
exports.width = width;
function height(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "height(" + t('height') + "): Number";
}
exports.height = height;
function padding(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "padding(" + t('padding') + "): Padding";
}
exports.padding = padding;
function color(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "color(" + t('color') + "): Colors";
}
exports.color = color;
/** Radar */
function line(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "line(" + t('line') + "): Object {\n  visible(" + t('visible') + "): Boolean\n  size(" + t('size') + "): Number[if: \"$.visible\", min:0, max: 1000]\n  /*\n  lineDash(" + 'line dash' + "): Numbers\n  style(" + t('style') + "): Object {\n    opacity(" + t('opacity') + "): Number[min:0, max: 1, step: 0.1]\n  }\n  */\n}";
}
exports.line = line;
/** Radar */
function area(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "area(" + t('area') + "): Object {\n  visible(" + t('visible') + "): Boolean\n  /*\n  color(" + t('color') + "): Color\n  \n  style(" + t('style') + "): Object {\n    opacity(" + t('opacity') + "): Number[min:0, max: 1, step: 0.1]\n  }\n  */\n}";
}
exports.area = area;
/** Line Radar */
function point(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "point(" + t('point') + "): Object {\n  visible(" + t('visible') + "): Boolean\n  size(" + t('size') + "): Number[if: \"$.visible\", min:0, max: 1000]\n  shape(" + t('shape') + "): Enum {\n    circle(" + t('circle') + ")\n    point(" + t('point shape') + ")\n    square(" + t('square') + ")\n    diamond(" + t('diamond') + ")\n    hexagon(" + t('hexagon') + ")\n    triangle(" + t('triangle') + ")\n    cross(" + t('cross') + ")\n  }\n  color(" + t('color') + "): Color\n  /*\n  opacity(" + t('opacity') + "): Number[min:0, max: 1, step: 0.1]\n  */\n}";
}
exports.point = point;
/** Column */
function columnWidthRatio(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "columnWidthRatio(" + t('column width ratio') + "): Number[min:0, max: 1, step: 0.1]";
}
exports.columnWidthRatio = columnWidthRatio;
/** Bar */
function barWidthRatio(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "barWidthRatio(" + t('bar width ratio') + "): Number[min:0, max: 1, step: 0.1]";
}
exports.barWidthRatio = barWidthRatio;
/** Line */
function lineStyle(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "lineStyle(" + t('line') + "): Object{\n  /*\n  lineDash(" + 'line dash' + "): Numbers\n  */\n  lineWidth(" + t('line width') + "): Number[min: 0, max: 100, step: 1]\n  stroke(" + t('color') + "): Color\n  opacity(" + t('opacity') + "): Number[min:0, max: 1, step: 0.1]\n}";
}
exports.lineStyle = lineStyle;
/** Pie Ring Radar */
function radius(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "radius(" + t('radius') + "): Number[min:0, max: 1, step: 0.1]";
}
exports.radius = radius;
/** Line Radar(暂时无效) */
function smooth(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "smooth(" + t('smooth') + "): Boolean";
}
exports.smooth = smooth;
function barSize(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "barSize(" + t('bar size') + "): Number[min:0, max: 1000]";
}
exports.barSize = barSize;
function columnSize(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "columnSize(" + t('column size') + "): Number[min:0, max: 1000]";
}
exports.columnSize = columnSize;
function innerRadius(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "innerRadius(" + t('inner radius') + "):Number[min:0, max: 1, step: 0.1]";
}
exports.innerRadius = innerRadius;
function lineSize(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "lineSize(" + t('line size') + "): Number[min: 0, max: 1000]";
}
exports.lineSize = lineSize;
function regressionline(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "regressionline(" + t('regression line') + "): Object{\n  visible(" + t('visible') + "): Boolean\n  type(" + t('type') + "): Enum[if: \"$.visible\"] {\n    linear(" + t('linear') + ")\n    exp(" + t('exp') + ")\n    loess(" + t('loess') + ")\n    log(" + t('log') + ")\n    poly(" + t('poly') + ")\n    pow(" + t('pow') + ")\n    quad(" + t('quad') + ")\n  }\n  showConfidence(" + t('showConfidence') + "): Boolean[if: \"$.visible\"]\n}";
}
exports.regressionline = regressionline;
/**
 * 坐标轴
 */
function axis(lang, hasTitle) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    var title = hasTitle
        ? "\ntitle(" + t('title') + "): Object[if: \"$.visible\"] {\n  visible(" + t('visible') + "): Boolean\n  /*\n  autoRotate(" + t('auto rotate') + "): Boolean[if: \"$.visible\"]\n  */\n  text(" + t('text') + "): String[if: \"$.visible\"]\n}"
        : '';
    return "Object {\n  visible(" + t('visible') + "): Boolean\n  " + title + "\n  /*\n  type(" + t('type') + "): Enum[if: \"$.visible\"] {\n    category(category)\n    time(time)\n    linear(linear)\n  }\n  min(min): Number[if: \"$.visible && $.type == linear\"]\n  max(max): Number[if: \"$.visible && $.type == linear\"]\n  tickCount(tickCount): Number[if: \"$.visible\"]\n  tickInterval(tickInterval): Number[if: \"$.visible\"]\n  groupBy(groupBy): String[if: \"$.visible && $.type != linear\"]\n  position(" + t('position') + "): Enum[if: \"$.visible\"] {\n    default(default)\n    opposite(opposite)\n  }\n  */\n  line(" + t('axis rulers') + "): Object[if: \"$.visible\"] {\n    visible(" + t('visible') + "): Boolean\n    /*\n    style(" + t('style') + "): Style[if: \"$.visible\"]\n    */\n  }\n  label(" + t('axis label') + "): Object[if: \"$.visible\"] {\n    visible(" + t('visible') + "): Boolean\n    offset(" + t('entire offset') + "): Number[if: \"$.visible\"]\n    offsetX(" + t('x offset') + "): Number[if: \"$.visible\"]\n    offsetY(" + t('y offset') + "): Number[if: \"$.visible\"]\n    /*\n    rotate(" + t('rotate') + "): Number[if: \"$.visible\", max: 90]\n    style(" + t('style') + "): Style[if: \"$.visible\"]\n    */\n  }\n  tickLine(" + t('tick line') + "): Object[if: \"$.visible\"] {\n    visible(" + t('visible') + "): Boolean\n  }\n  grid(" + t('grid') + "): Object[if: \"$.visible\"] {\n    visible(" + t('visible') + "): Boolean\n  }\n  /*\n  autoRotateLabel(" + t('auto rotate label') + "): Boolean[if: \"$.label.visible && $.visible\"]\n  autoHideLabel(" + t('auto hide label') + "): Boolean[if: \"$.label.visible && $.visible\"]\n  autoRotateTitle(" + t('auto rotate title') + "): Boolean[if: \"$.title.visible && $.visible\"]\n  */\n}";
}
// scatter
function size(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "size(" + t('point size') + "): Number";
}
exports.size = size;
function pointSize(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "pointSize(" + t('point size') + "): Number";
}
exports.pointSize = pointSize;
function bubbleSize(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "pointSize(" + t('point size') + "): MinMax";
}
exports.bubbleSize = bubbleSize;
function pointStyle(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "pointStyle(" + t('style') + "): Object{\n  stroke(" + t('border color') + "): Color\n}";
}
exports.pointStyle = pointStyle;
// 梯形图
function percentage(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "percentage(" + t('percentage') + "): Object{\n  visible(" + t('visible') + "): Boolean\n  line(" + t('line') + "): Object{\n    visible(" + t('visible') + "): Boolean\n  }\n  text(" + t('text') + "): Object{\n    visible(" + t('visible') + "): Boolean\n    content(" + t('content') + "): String[if: \"$.visible\"]\n  }\n  adjustColor(" + t('adjust color') + "): Boolean\n}";
}
exports.percentage = percentage;
function dynamicHeight(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "dynamicHeight(" + t('dynamic height') + "): Boolean[if: \"!$.compareField\"]";
}
exports.dynamicHeight = dynamicHeight;
function transpose(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "transpose(" + t('transpose') + "): Boolean";
}
exports.transpose = transpose;
// WaterFull
function total(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "total(" + t('total') + "): Object[if: \"$.visible\"] {\n  visible(" + t('visible') + "): Boolean\n  label(" + t('text') + "): String[if: \"$.visible\"]\n}";
}
exports.total = total;
function risingFill(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "risingFill(" + t('risingFill') + "): Color";
}
exports.risingFill = risingFill;
function fallingFill(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "fallingFill(" + t('fallingFill') + "): Color";
}
exports.fallingFill = fallingFill;
function leaderLine(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "leaderLine(" + t('leader line') + "): Object{\n  visible(" + t('visible') + "): Boolean\n}";
}
exports.leaderLine = leaderLine;
function labelMode(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "labelMode(" + t('label mode') + "): Enum {\n    absolute(" + t('absolute') + ")\n    difference(" + t('difference') + ")\n}";
}
exports.labelMode = labelMode;
// StepLine
function step(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "step(" + t('step type') + "): Enum {\n    hv(" + t('hv') + ")\n    vh(" + t('vh') + ")\n    vhv(" + t('vhv') + ")\n    hvh(" + t('hvh') + ")\n}";
}
exports.step = step;
// Heatmap
function intensity(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "intensity(" + t('intensity') + "): Number[min: 0]";
}
exports.intensity = intensity;
function hradius(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "radius(" + t('radius') + "): Number";
}
exports.hradius = hradius;
function type(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "type(" + t('heatmap type') + "): Enum {\n    polygon(" + t('polygon') + ")\n    density(" + t('density') + ")\n  }";
}
exports.type = type;
function shape(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "shape(" + t('shape type') + "): Enum {\n    square(" + t('rect') + ")\n    circle(" + t('circle') + ")\n}";
}
exports.shape = shape;
function shapeSize(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "shapeSize(" + t('shape size') + "): MinMax[if: \"$.sizeField\"]";
}
exports.shapeSize = shapeSize;
function forceSquare(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "forceSquare(" + t('force square') + "): Boolean";
}
exports.forceSquare = forceSquare;
// Histogram
function binNumber(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "binNumber(" + t('bin number') + "): Number[min: 0]";
}
exports.binNumber = binNumber;
function binWidth(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "binWidth(" + t('bin width') + "): Number[min: 0]";
}
exports.binWidth = binWidth;
function liquidMin(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "min(" + t('min') + "): Number";
}
exports.liquidMin = liquidMin;
function liquidMax(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "max(" + t('max') + "): Number";
}
exports.liquidMax = liquidMax;
function liquidColor(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "color(" + t('liquid color') + "): Color";
}
exports.liquidColor = liquidColor;
function liquidStyle(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "liquidStyle(" + t('liquid style') + "): Object{\n    lineWidth(" + t('border width') + "): Number[min: 0]\n    stroke(" + t('border color') + "): Color\n  }";
}
exports.liquidStyle = liquidStyle;
// gauge
function percent(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "percent(" + t('percent') + "): Number";
}
exports.percent = percent;
function startAngle(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "startAngle(" + t('startAngle') + "): Number";
}
exports.startAngle = startAngle;
function endAngle(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "endAngle(" + t('endAngle') + "): Number";
}
exports.endAngle = endAngle;
function value(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "value(" + t('value') + "): Number";
}
exports.value = value;
/** box */
function boxStyle(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "boxStyle(" + t('box style') + "): Object{\n  fill(" + t('fill') + "): Color\n  stroke(" + t('stroke') + "): Color\n  opacity(" + t('opacity') + "): Number[min:0, max: 1, step: 0.1]\n}";
}
exports.boxStyle = boxStyle;
// pie
function statistic(lang) {
    if (lang === void 0) { lang = 'zh-CN'; }
    var t = trans.bind(null, lang);
    return "statistic(" + t('statistic') + "): Object[if: \"$.visible\"] {\n  visible(" + t('visible') + "): Boolean\n  title(" + t('pie title') + "): Object[if: \"$.visible\"] {\n    visible(" + t('visible') + "): Boolean\n    offsetX(" + t('x offset') + "): Number[if: \"$.visible\"]\n    offsetY(" + t('y offset') + "): Number[if: \"$.visible\"]\n    rotate(" + t('rotate') + "): Number[if: \"$.visible\", max: 90]\n  }\n  content(" + t('pie content') + "): Object[if: \"$.visible\"] {\n    visible(" + t('visible') + "): Boolean\n    offsetX(" + t('x offset') + "): Number[if: \"$.visible\"]\n    offsetY(" + t('y offset') + "): Number[if: \"$.visible\"]\n    rotate(" + t('rotate') + "): Number[if: \"$.visible\", max: 90]\n  }\n}";
}
exports.statistic = statistic;
//# sourceMappingURL=parts.js.map